Bug 982515 - SELinux is preventing /usr/bin/mkdir from 'create' accesses on the directory .texlive2012.
SELinux is preventing /usr/bin/mkdir from 'create' accesses on the directory ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
abrt_hash:ae1c4240b2dbba7fdd46427f1d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 04:40 EDT by tutu
Modified: 2015-02-17 11:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:00:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tutu 2013-07-09 04:40:47 EDT
Description of problem:
SELinux is preventing /usr/bin/mkdir from 'create' accesses on the directory .texlive2012.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that mkdir should be allowed create access on the .texlive2012 directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mkdir /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .texlive2012 [ dir ]
Source                        mkdir
Source Path                   /usr/bin/mkdir
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.17-8.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-200.fc18.x86_64 #1 SMP Thu
                              Jun 13 18:56:55 UTC 2013 x86_64 x86_64
Alert Count                   93
First Seen                    2013-05-27 22:02:16 GMT
Last Seen                     2013-07-08 02:07:51 GMT
Local ID                      f858b76d-8e88-4537-8da2-7f13a72ad35a

Raw Audit Messages
type=AVC msg=audit(1373249271.470:363): avc:  denied  { create } for  pid=3165 comm="mkdir" name=".texlive2012" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1373249271.470:363): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7fff1dc1265a a1=1ff a2=1ff a3=a items=0 ppid=3159 pid=3165 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=mkdir exe=/usr/bin/mkdir subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: mkdir,thumb_t,user_home_dir_t,dir,create

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-09 16:38:58 EDT
Can .texlive move its config files under ~/.config to make it more standard.

Also what kind of content gets put into this directory?
Comment 2 Miroslav Grepl 2013-07-10 04:18:19 EDT
tutu,
you can fix it for now using

# chcon -R -t mozilla_home_t ~/.texlive2012
Comment 3 Jan Teichmann 2014-01-20 08:41:38 EST
Description of problem:
installing texlive

Additional info:
reporter:       libreport-2.1.10
hashmarkername: setroubleshoot
kernel:         3.12.8-200.fc19.x86_64
type:           libreport
Comment 4 Daniel Walsh 2014-01-21 11:46:53 EST
7ac23dd07d59fc9d22e3cd06703a561051501cf2 fixes this in git.
Comment 5 Fedora End Of Life 2015-01-09 13:47:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:00:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.